### Enumeration

# Gimp MetadataSaveFlags

unstable since: 3.0

#### Declaration

    flags Gimp.MetadataSaveFlags

#### Description [src]

What kinds of metadata to save when exporting images.

Available since: 3.0

#### Members

`GIMP_METADATA_SAVE_EXIF`

  Save EXIF.

  - Value: `1`
  - Nickname: `None`
  - Available since: 3.0
`GIMP_METADATA_SAVE_XMP`

  Save XMP.

  - Value: `2`
  - Nickname: `None`
  - Available since: 3.0
`GIMP_METADATA_SAVE_IPTC`

  Save IPTC.

  - Value: `4`
  - Nickname: `None`
  - Available since: 3.0
`GIMP_METADATA_SAVE_THUMBNAIL`

  Save a thumbnail of the image.

  - Value: `8`
  - Nickname: `None`
  - Available since: 3.0
`GIMP_METADATA_SAVE_COLOR_PROFILE`

  Save the image’s color profile Since: 2.10.10

  - Value: `16`
  - Nickname: `None`
  - Available since: 3.0
`GIMP_METADATA_SAVE_COMMENT`

  Save the image’s comment Since: 3.0

  - Value: `32`
  - Nickname: `None`
  - Available since: 3.0
`GIMP_METADATA_SAVE_ALL`

  Save all of the above.

  - Value: `4294967295`
  - Nickname: `None`
  - Available since: 3.0